Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.commands
Class CmdNormalize

    java.lang.Object
      org.encog.app.analyst.commands.Cmd
          org.encog.app.analyst.commands.CmdNormalize

    public class CmdNormalize

extends Cmd

The normalize command is used to normalize data. Data normalization generally maps values from one number range to another, typically to -1 to 1.

Field Summary
`static String` | `COMMAND_NAME` The name of this command.

Constructor Summary
`CmdNormalize(EncogAnalyst theAnalyst)` Construct the normalize command.

Method Summary
`boolean` | `executeCommand(String args)` Execute this command.
`String` | `getName()`

Methods inherited from class org.encog.app.analyst.commands.Cmd
`getAnalyst, getProp, getScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMAND_NAME

    public static final String COMMAND_NAME

  The name of this command.

  See Also:
    Constant Field Values

Constructor Detail

### CmdNormalize

    public CmdNormalize(EncogAnalyst theAnalyst)

  Construct the normalize command.

  Parameters:
    `theAnalyst` - The analyst to use.

Method Detail

### executeCommand

    public final boolean executeCommand(String args)

  Execute this command.

  Specified by:
    `executeCommand` in class `Cmd`
  Parameters:
    `args` - The arguments for this command.
  Returns:
    True if processing should stop after this command.

### getName

    public final String getName()

  Specified by:
    `getName` in class `Cmd`
  Returns:
    The name of this command.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.